<?xml version="1.0" encoding="UTF-8"?>
<!--
    Copyright SCN Guichet Entreprises, Capgemini and contributors (2014-2016)
-->
<beans xmlns="http://www.springframework.org/schema/beans" xmlns:context="http://www.springframework.org/schema/context" xmlns:util="http://www.springframework.org/schema/util" xmlns:jaxrs="http://cxf.apache.org/jaxrs"
    xmlns:cxf="http://cxf.apache.org/core" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
    xsi:schemaLocation="http://www.springframework.org/schema/beans http://www.springframework.org/schema/beans/spring-beans.xsd
                        http://www.springframework.org/schema/context http://www.springframework.org/schema/context/spring-context.xsd
                        http://www.springframework.org/schema/util http://www.springframework.org/schema/util/spring-util.xsd
                        http://cxf.apache.org/core http://cxf.apache.org/schemas/core.xsd
                        http://cxf.apache.org/jaxrs http://cxf.apache.org/schemas/jaxrs.xsd">

    <import resource="classpath:META-INF/cxf/cxf.xml" />
    <!-- <import resource="classpath:META-INF/cxf/cxf-servlet.xml" /> -->

    <cxf:bus>
        <cxf:features>
            <cxf:logging />
        </cxf:features>
    </cxf:bus>
	<!-- XML-TC Generator beans -->
	<bean id="xmlTcGuenGenerator" class="fr.ge.common.tc.ws.v1.service.impl.XmlTcGuenGeneratorImpl" >
    </bean>
    
    <bean id="xmlTcMgunGenerator" class="fr.ge.common.tc.ws.v1.service.impl.XmlTcMgunGeneratorImpl" >
    </bean>
    <jaxrs:server id="restServerPrivate" address="/private" >
        <jaxrs:serviceBeans>
   			<bean id="regentRestPrivateService" class="fr.ge.common.regent.ws.v1.service.impl.RegentServicePrivateImpl"/>
  			<bean id="tcRestPrivateService" class="fr.ge.common.tc.ws.v1.service.impl.TcServiceImpl"/>
   			<bean id="liasseRestService" class="fr.ge.common.liasse.ws.v1.service.impl.LiasseServiceImpl"/>
        </jaxrs:serviceBeans>
        <jaxrs:providers>
            <bean class="org.apache.cxf.rs.security.cors.CrossOriginResourceSharingFilter" />
            <bean class="com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider" />
        </jaxrs:providers>
        <jaxrs:features>
            <bean class="org.apache.cxf.jaxrs.swagger.Swagger2Feature">
                <property name="title" value="Regent REST Server" />
                <property name="description" value="" />
                <property name="contact" value="Team Destiny" />
                <property name="prettyPrint" value="true" />
                <property name="scan" value="true" />
            </bean>
        </jaxrs:features>
    </jaxrs:server>
    <jaxrs:server id="restServerPublic" address="/public" >
        <jaxrs:serviceBeans>
   			<bean id="regentRestPublicService" class="fr.ge.common.regent.ws.v1.service.impl.RegentServiceImpl"/>
        </jaxrs:serviceBeans>
        <jaxrs:providers>
            <bean class="org.apache.cxf.rs.security.cors.CrossOriginResourceSharingFilter" />
            <bean class="com.fasterxml.jackson.jaxrs.json.JacksonJaxbJsonProvider" />
        </jaxrs:providers>
        <jaxrs:features>
            <bean class="org.apache.cxf.jaxrs.swagger.Swagger2Feature">
                <property name="title" value="Regent REST Server" />
                <property name="description" value="" />
                <property name="contact" value="Team Destiny" />
                <property name="prettyPrint" value="true" />
                <property name="scan" value="true" />
            </bean>
        </jaxrs:features>
    </jaxrs:server>
	<!-- config xmlfield pour génération xmltc -->    
    <bean id="xmlFieldFactory" class="org.xmlfield.core.XmlFieldFactory">
		<constructor-arg value="true"></constructor-arg>
	</bean>
</beans>
